.\"	$NetBSD: c99.1,v 1.1 2008/09/23 23:59:04 hubertf Exp $
.\"
.\" Copyright (c) 1999-2008 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd September 24, 2008
.Dt C99 1
.Os
.Sh NAME
.Nm c99
.Nd ANSI (1999) C compiler
.Sh SYNOPSIS
.Nm
.Op Fl pedantic
.Op Fl pedantic-errors
.Op Fl D_ANSI_SOURCE
.Op options ...
.Sh DESCRIPTION
Calls the C compiler (cc) with the given
.Ar options ,
using a C language environment compatible with the
.St -isoC-99
specification.
.Pp
This includes
inline functions, variable-length arrays, support for one-line
comments beginning with //, 
disabling non-ANSI compiler features (such as
.Ar asm ,
.Ar typeof ,
and the $ character in identifiers),
and definition of the preprocessor symbol
.Ev __STRICT_ANSI__ .
.Pp
The following options are available:
.Bl -tag -width -pedantic-errorsxx
.It Fl pedantic
Issue extra warnings defined by ANSI for use of non-ANSI features.
.It Fl pedantic-errors
Issue errors instead of warnings that normally would be presented by
.Fl pedantic .
.It Fl D_ANSI_SOURCE
Tell the system header file set to use an ANSI-conformant "clean" namespace.
.El
.Sh SEE ALSO
.Xr cc 1
.Sh STANDARDS
.Nm
conforms to
.St -p1003.2-92 .
.Sh HISTORY
.Nm
first appeared in
.Nx 5.0 .
.Sh BUGS
Since
.Nm
is a shell wrapper script to
.Ar cc ,
compile errors are prefixed by "cc:".
